summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFrançois Bissey <frp.bissey@gmail.com>2021-02-28 21:18:54 +1300
committerMichael Orlitzky <mjo@gentoo.org>2021-02-28 09:43:41 -0500
commit77f0f0625f0c77a9ac6bf012d8a3b1085fa9d007 (patch)
tree77cc6b644930e26d83630405cfa4599d134cfbf7 /sci-mathematics/cliquer/cliquer-1.22.ebuild
parentsci-libs/libbraiding: New upstream release (diff)
downloadgentoo-77f0f0625f0c77a9ac6bf012d8a3b1085fa9d007.tar.gz
gentoo-77f0f0625f0c77a9ac6bf012d8a3b1085fa9d007.tar.bz2
gentoo-77f0f0625f0c77a9ac6bf012d8a3b1085fa9d007.zip
sci-mathematics/cliquer: upstream bump
Closes: https://github.com/gentoo/gentoo/pull/19705 Package-Manager: Portage-3.0.13, Repoman-3.0.2 Signed-off-by: François René Pierre Bissey <frp.bissey@gmail.com> Signed-off-by: Michael Orlitzky <mjo@gentoo.org>
Diffstat (limited to 'sci-mathematics/cliquer/cliquer-1.22.ebuild')
-rw-r--r--sci-mathematics/cliquer/cliquer-1.22.ebuild29
1 files changed, 29 insertions, 0 deletions
diff --git a/sci-mathematics/cliquer/cliquer-1.22.ebuild b/sci-mathematics/cliquer/cliquer-1.22.ebuild
new file mode 100644
index 00000000000..03f84005300
--- /dev/null
+++ b/sci-mathematics/cliquer/cliquer-1.22.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="C routines for finding cliques in an arbitrary weighted graph"
+
+# autocliquer is a fork of cliquer (whose last release was in 2010) by
+# one of the SageMath developers with an autotools build system.
+HOMEPAGE="https://users.aalto.fi/~pat/cliquer.html
+ https://github.com/dimpase/autocliquer"
+
+# The github tarball doesn't contain the generated autotools files (like
+# the ./configure script).
+SRC_URI="http://files.sagemath.org/spkg/upstream/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="static-libs"
+
+src_configure() {
+ econf $(use_enable static-libs static)
+}
+
+src_install() {
+ default
+ find "${ED}" -name '*.la' -delete || die
+}